from scipy.integrate import quad
from scipy.special import gamma, zeta
import numpy as np

n = 3/2
N = 1000000

INT = lambda x,n: x**(n-1)/(np.exp(x)-1)
R_INT = quad(INT, 0, np.inf, (n))[0] / gamma(n)

R_SUM = sum([1/i**n for i in range(1, N+1)])

print("Reálně:   {0:.12f}".format(zeta(n)))
print("Integrál: {0:.12f}".format(R_INT))
print("Suma:     {0:.12f}".format(R_SUM))
